Get Supported Banks
curl --request GET \
--url https://api-production.fossapay.com/api/v1/transfers/fiat/banks \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api-production.fossapay.com/api/v1/transfers/fiat/banks"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api-production.fossapay.com/api/v1/transfers/fiat/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"statusCode": 200,
"message": "Supported banks retrieved successfully",
"data": [
{
"bankname": "9 payment service Bank",
"bankcode": "120001"
},
{
"bankname": "AB MICROFINANCE BANK",
"bankcode": "090270"
},
{
"bankname": "ABBEY MORTGAGE BANK",
"bankcode": "090304"
},
{
"bankname": "ACCESS BANK",
"bankcode": "044"
},
{
"bankname": "ACCESS BANK (DIAMOND)",
"bankcode": "063"
}
]
}
Fiat Transfers
Get Supported Banks
Get supported banks for transfers
GET
/
api
/
v1
/
transfers
/
fiat
/
banks
Get Supported Banks
Request
API Key for authentication
Request Example
curl -X GET https://api-production.fossapay.com/api/v1/transfers/fiat/banks \
-H "x-api-key: your_api_key_here"
const response = await fetch('https://api-production.fossapay.com/api/v1/transfers/fiat/banks', {
method: 'GET',
headers: {
'x-api-key': 'your_api_key_here',
'Content-Type': 'application/json'
}
});
if (!response.ok) {
throw new Error(`Request failed: ${response.status} ${response.statusText}`);
}
const banks = await response.json();
Response
{
"status": true,
"statusCode": 200,
"message": "Supported banks retrieved successfully",
"data": [
{
"bankname": "9 payment service Bank",
"bankcode": "120001"
},
{
"bankname": "AB MICROFINANCE BANK",
"bankcode": "090270"
},
{
"bankname": "ABBEY MORTGAGE BANK",
"bankcode": "090304"
},
{
"bankname": "ACCESS BANK",
"bankcode": "044"
},
{
"bankname": "ACCESS BANK (DIAMOND)",
"bankcode": "063"
}
]
}
{
"status": false,
"statusCode": 400,
"message": "Bad request",
"error": "Invalid API key"
}
{
"status": false,
"statusCode": 500,
"message": "Internal server error",
"error": "Failed to retrieve supported banks"
}
⌘I

